Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 169938 - RFE: timestamp /tmp/syslog entries
Summary: RFE: timestamp /tmp/syslog entries
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: anaconda
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Chris Lumens
QA Contact: Mike McLean
URL:
Whiteboard:
Depends On:
Blocks: FC5Target
TreeView+ depends on / blocked
 
Reported: 2005-10-05 14:12 UTC by James Laska
Modified: 2013-09-02 06:07 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-01-31 20:32:36 UTC


Attachments (Terms of Use)

Description James Laska 2005-10-05 14:12:19 UTC
# TREE nightly/rawhide-20051005
# ARCH *all*

Was thinking perhaps timestamping /tmp/syslog entries might be useful.  Seems
like it would be a minimal change, that might proof handy in debugging
dhcp/network timeout issues.  We already go about timestamping entries in
/tmp/anaconda.log.  I'm trying to make sense out of doklog() function in
loader2/init.c which looks like it forks and sets up a socket to handle the logging?

Thoughts?

Comment 1 Chris Lumens 2005-10-07 18:41:05 UTC
Yes, doklog handles the logging from the kernel and writes it to /tmp/syslog. 
It would be pretty trivial to add timestamping here as well.  Somewhere on the
giant list of things to do is also to add remote syslogging support to the
loader to match what the second stage is capable of.

Comment 2 Jeremy Katz 2006-01-31 20:32:36 UTC
Not going to do this.


Note You need to log in before you can comment on or make changes to this bug.